Error running Dissolve
Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:2.14.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22578

Description

Hi

When I run Dissolve in Processing I get this error:

local variable 'nElement' referenced before assignment See log for more details

It is a rather simple polyon layer, no features selected. I have selected a field for the dissolve. When I dissolve the whole layer, this error

does not occur. Has anyone else noticed this error?

Win 7 64 bit

QGIS 2.14.0 64 bit

Regards,

Magnus

Related issues:

Related to QGIS Application - Bug report # 15352: Dissolve error : "local var... Closed 2016-07-27

History

#1 - 2016-04-04 12:32 AM - Bernhard Ströbl

Be sure to use the latest version of the Processing plugin. By looking at the code this error is impossible to happen. Also no one responded to your first

mail on the list, so it seems this problem is exclusive to you, which makes me assume it is related to your installation of the plugin.

#2 - 2016-04-04 01:21 AM - Alexander Bruy

- Status changed from Open to Feedback

Not reproducible with Processing shipped with QGIS master and 2.14. Looks like you have Processing plugin installed from Plugin repository in your user

directory. Please remove it and check again.

#3 - 2016-04-04 01:32 AM - Magnus Nilsson

Not sure of might have gone wrong during installation. I don´t have admin rights on the computer, so our IT department installed it (standalone installer). I

have not installed any plugins after that (due to no admin rights). What shoud I have done differently during installation?
#4 - 2016-04-06 05:00 AM - Alexander Bruy

Installing plugin does not require admon rights.

Please check if you have Processing in your user directory and if it is here — remove it.

#5 - 2016-04-06 06:23 AM - Magnus Nilsson

I removed the processing folder from C:\\Users\\user\\.qgis2 and it works again. Thank you.

#6 - 2016-04-08 04:20 AM - Alexander Bruy

- Status changed from Feedback to Closed
